Unable to install R2MLwiN

Welcome to the forum for R2MLwiN users. Feel free to post your question about R2MLwiN here. The Centre for Multilevel Modelling take no responsibility for the accuracy of these posts, we are unable to monitor them closely. Do go ahead and post your question and thank you in advance if you find the time to post any answers!

Go to R2MLwiN: Running MLwiN from within R >> http://www.bris.ac.uk/cmm/software/r2mlwin/
Post Reply
GerineLodder
Posts: 42
Joined: Thu Jul 28, 2016 11:33 am

Unable to install R2MLwiN

Post by GerineLodder » Tue Jan 29, 2019 9:30 am

I am at a new computer and it seems like I am unable to install R2MLwiN.

Tried it 3 ways:

Code: Select all

install.packages("R2MLwiN")
Warning in install.packages :
package ‘R2MLwiN’ is not available (for R version 3.5.2)

Code: Select all

> install.packages("R2MLwiN", repos = "http://cran.r-project.org")
Warning in install.packages :
package ‘R2MLwiN’ is not available (for R version 3.5.2)

Code: Select all

install_github("rforge/r2mlwin", subdir="R2MLwiN")
Error in read.dcf(path) :
Found continuation line starting ' "zhengzheng236@g ...' at begin of record.

Some notes:
- Other packages install fine
- I had R 3.5.1 and previous version of RStudio installed before, same problem there. Thus, updating R(studio) did not help and problem is not specific to this R version.

ChrisCharlton
Posts: 1111
Joined: Mon Oct 19, 2009 10:34 am

Re: Unable to install R2MLwiN

Post by ChrisCharlton » Tue Jan 29, 2019 9:56 am

Thanks for letting us know about this, I was not aware that the package was going to be removed. We are investigating a solution however in the mean time you should be able to download the source version of the package from the archive:

https://cran.r-project.org/src/contrib/Archive/R2MLwiN/

and then install it with the following command:

Code: Select all

install.packages("R2MLwiN_0.8-5.tar.gz", repos = NULL, type="source")
assuming that the package is downloaded to the current directory.

dcanarteg
Posts: 14
Joined: Tue Feb 05, 2019 9:30 pm

Re: Unable to install R2MLwiN

Post by dcanarteg » Tue Feb 05, 2019 9:52 pm

Hello Today (Feb 5, 2019) I tried to install R2MLwiN with the following code and it gives me this error.

install.packages("R2MLwiN_0.8-5.tar.gz", repos = NULL, type="source")
Warning: invalid package ‘R2MLwiN_0.8-5.tar.gz’
Error: ERROR: no packages specified
Warning in install.packages :
installation of package ‘R2MLwiN_0.8-5.tar.gz’ had non-zero exit status

I also had that R2MLwiN is not available for R 3.5.2
install.packages("R2MLwiN", repos = "http://cran.r-project.org")
Warning in install.packages :
package ‘R2MLwiN’ is not available (for R version 3.5.2)

what can I do?
Thanks

ChrisCharlton
Posts: 1111
Joined: Mon Oct 19, 2009 10:34 am

Re: Unable to install R2MLwiN

Post by ChrisCharlton » Wed Feb 06, 2019 10:25 am

The example that I gave above assumes that the packages is downloaded into the current directory. If you wanted to install directly from the archive you would use the following command instead:

Code: Select all

install.packages("https://cran.r-project.org/src/contrib/Archive/R2MLwiN/R2MLwiN_0.8-5.tar.gz", repos = NULL, type="source")
Also note that if you are installing this to a machine that has not previously had R2MLwiN installed you may get errors when you install it related to missing package dependencies. If this is the case you will need to manually install any packages that it mentions and then try again.

ChrisCharlton
Posts: 1111
Joined: Mon Oct 19, 2009 10:34 am

Re: Unable to install R2MLwiN

Post by ChrisCharlton » Wed Feb 06, 2019 9:40 pm

We have now added an explanation of the problem, and details of a workaround to the R2MLwiN main web page:

https://www.bristol.ac.uk/cmm/software/r2mlwin/

Post Reply